Subject: Bug#461967: metacity: focus issue with fullscreen window on dual screen

From: Paul Brossier <[email-masked]>
Date: Mon, 21 Jan 2008 19:10:50 +0100

Package: metacity
Version: 1:2.20.2-1
Severity: normal

Hi,

I'm using the default configuration, upgraded from stable. I have 3
windows open: a browser on the left screen, a term and a player on the
right (iceweasel, gnome-terminal and amarok). The term is in fullscreen.

When cycling through windows using Alt+Tab to go from the player to the
browser, the browser at the left handside gains focus as expected, but
on the right screen, the terminal comes up too, hiding the player behind
it.

Cheers, Paul

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages metacity depends on:
ii  libatk1.0-0                 1.20.0-1     The ATK accessibility toolkit
ii  libc6                       2.7-6        GNU C Library: Shared libraries
ii  libcairo2                   1.4.14-1     The Cairo 2D vector graphics libra
ii  libgconf2-4                 2.20.1-2     GNOME configuration database syste
ii  libglib2.0-0                2.14.5-2     The GLib library of C routines
ii  libgtk2.0-0                 2.12.5-1     The GTK+ graphical user interface 
ii  libice6                     2:1.0.4-1    X11 Inter-Client Exchange library
ii  libmetacity0                1:2.20.2-1   library of lightweight GTK2 based 
ii  libpango1.0-0               1.18.4-1     Layout and rendering of internatio
ii  libsm6                      2:1.0.3-1+b1 X11 Session Management library
ii  libstartup-notification0    0.9-1        library for program launch feedbac
ii  libx11-6                    2:1.0.3-7    X11 client-side library
ii  libxcursor1                 1:1.1.9-1    X cursor management library
ii  libxext6                    1:1.0.3-2    X11 miscellaneous extension librar
ii  libxinerama1                1:1.0.2-1    X11 Xinerama extension library
ii  libxrandr2                  2:1.2.2-1    X11 RandR extension library
ii  libxrender1                 1:0.9.4-1    X Rendering Extension client libra
ii  metacity-common             1:2.20.2-1   Shared files of lightweight GTK2 b

Versions of packages metacity recommends:
ii  gnome-session [x-session-mana 2.20.3-1   The GNOME 2 Session Manager

-- no debconf information

---

From: Josselin Mouette <[email-masked]>
Date: Tue, 25 Mar 2008 12:45:45 +0100

> on the right screen, the terminal comes up too, hiding the player behind

Can you reproduce this issue with metacity 2.22 now in unstable ?

What is your dual head setup? MergedFB, Xinerama, XRandR ?

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.